## aac-tactics 0.2.pl2

=== Makefile ===
#############################################################################
##  v      #                   The Coq Proof Assistant                     ##
## <O___,, #                INRIA - CNRS - LIX - LRI - PPS                 ##
##   \VV/  #                                                               ##
##    //   #  Makefile automagically generated by coq_makefile V8.3        ##
#############################################################################

# WARNING
#
# This Makefile has been automagically generated
# Edit at your own risks !
#
# END OF WARNING

#
# This Makefile was generated by the command line :
# coq_makefile -R . AAC_tactics -opt MLIFILES = $(MLFILES:.ml=.mli) AAC_coq.ml AAC_helper.ml AAC_search_monad.ml AAC_matcher.ml AAC_theory.ml AAC_print.ml AAC_rewrite.ml AAC.v Instances.v Tutorial.v Caveats.v -f magic.txt 
#

# 
# This Makefile may take 3 arguments passed as environment variables:
#   - COQBIN to specify the directory where Coq binaries resides;
#   - CAMLBIN and CAMLP4BIN to give the path for the OCaml and Camlp4/5 binaries.
COQLIB:=$(shell $(COQBIN)coqtop -where | sed -e 's/\\/\\\\/g')
CAMLP4:="$(shell $(COQBIN)coqtop -config | awk -F = '/CAMLP4=/{print $$2}')"
ifndef CAMLP4BIN
  CAMLP4BIN:=$(CAMLBIN)
endif

CAMLP4LIB:=$(shell $(CAMLP4BIN)$(CAMLP4) -where)

##########################
#                        #
# Libraries definitions. #
#                        #
##########################

OCAMLLIBS:=
COQSRCLIBS:=-I $(COQLIB)/kernel -I $(COQLIB)/lib \
  -I $(COQLIB)/library -I $(COQLIB)/parsing \
  -I $(COQLIB)/pretyping -I $(COQLIB)/interp \
  -I $(COQLIB)/proofs -I $(COQLIB)/tactics \
  -I $(COQLIB)/toplevel \





















COQLIBS:= -R . AAC_tactics
COQDOCLIBS:=-R . AAC_tactics

##########################
#                        #
# Variables definitions. #
#                        #
##########################

ZFLAGS=$(OCAMLLIBS) $(COQSRCLIBS) -I $(CAMLP4LIB)
OPT:=
COQFLAGS:=-q $(OPT) $(COQLIBS) $(OTHERFLAGS) $(COQ_XML)
ifdef CAMLBIN
  COQMKTOPFLAGS:=-camlbin $(CAMLBIN) -camlp4bin $(CAMLP4BIN)
endif
COQC:=$(COQBIN)coqc
COQDEP:=$(COQBIN)coqdep -c
GALLINA:=$(COQBIN)gallina
COQDOC:=$(COQBIN)coqdoc
COQMKTOP:=$(COQBIN)coqmktop
CAMLLIB:=$(shell $(CAMLBIN)ocamlc -where)
CAMLC:=$(CAMLBIN)ocamlc -c -rectypes
CAMLOPTC:=$(CAMLBIN)ocamlopt -c -rectypes
CAMLLINK:=$(CAMLBIN)ocamlc -rectypes
CAMLOPTLINK:=$(CAMLBIN)ocamlopt -rectypes
GRAMMARS:=grammar.cma
CAMLP4EXTEND:=pa_extend.cmo pa_macro.cmo q_MLast.cmo
CAMLP4OPTIONS:=
MLIFILES=$(MLFILES:.ml=.mli)
PP:=-pp "$(CAMLP4BIN)$(CAMLP4)o -I $(CAMLLIB) -I . $(COQSRCLIBS) $(CAMLP4EXTEND) $(GRAMMARS) $(CAMLP4OPTIONS) -impl"

###################################
#                                 #
# Definition of the "all" target. #
#                                 #
###################################

VFILES:=AAC.v\
  Instances.v\
  Tutorial.v\
  Caveats.v
VOFILES:=$(VFILES:.v=.vo)
GLOBFILES:=$(VFILES:.v=.glob)
VIFILES:=$(VFILES:.v=.vi)
GFILES:=$(VFILES:.v=.g)
HTMLFILES:=$(VFILES:.v=.html)
GHTMLFILES:=$(VFILES:.v=.g.html)
MLFILES:=AAC_coq.ml\
  AAC_helper.ml\
  AAC_search_monad.ml\
  AAC_matcher.ml\
  AAC_theory.ml\
  AAC_print.ml\
  AAC_rewrite.ml
CMOFILES:=$(MLFILES:.ml=.cmo)
CMIFILES:=$(MLFILES:.ml=.cmi)
CMXFILES:=$(MLFILES:.ml=.cmx)
CMXSFILES:=$(MLFILES:.ml=.cmxs)
OFILES:=$(MLFILES:.ml=.o)

all: $(VOFILES) $(CMOFILES) $(CMXSFILES) doc\
  aac_tactics.cmxs\
  aac_tactics.cmxa\
  aac_tactics.cma\
  .depend
spec: $(VIFILES)

gallina: $(GFILES)

html: $(GLOBFILES) $(VFILES)
	- mkdir -p html
	$(COQDOC) -toc -html $(COQDOCLIBS) -d html $(VFILES)

gallinahtml: $(GLOBFILES) $(VFILES)
	- mkdir -p html
	$(COQDOC) -toc -html -g $(COQDOCLIBS) -d html $(VFILES)

all.ps: $(VFILES)
	$(COQDOC) -toc -ps $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`

all-gal.ps: $(VFILES)
	$(COQDOC) -toc -ps -g $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`

all.pdf: $(VFILES)
	$(COQDOC) -toc -pdf $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`

all-gal.pdf: $(VFILES)
	$(COQDOC) -toc -pdf -g $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`



###################
#                 #
# Custom targets. #
#                 #
###################

doc: $(MLIFILES)
	mkdir -p doc; $(CAMLBIN)ocamldoc -html -rectypes -d doc -m A $(ZDEBUG) $(ZFLAGS) $^ && touch doc

aac_tactics.cmxs: $(CMXFILES)
	$(CAMLOPTLINK) $(ZDEBUG) $(ZFLAGS) -shared -linkall -o aac_tactics.cmxs $(CMXFILES)

aac_tactics.cmxa: $(CMXFILES)
	$(CAMLOPTLINK) -g -a -o aac_tactics.cmxa $(CMXFILES)

aac_tactics.cma: $(CMOFILES)
	$(CAMLLINK) -g -a -o aac_tactics.cma $(CMOFILES)

.depend: $(MLIFILES)
	$(CAMLBIN)ocamldep -slash $(OCAMLLIBS) $^ > .depend

####################
#                  #
# Special targets. #
#                  #
####################

.PHONY: all opt byte archclean clean install depend html

%.cmi: %.mli
	$(CAMLC) $(ZDEBUG) $(ZFLAGS) $<

%.cmo: %.ml
	$(CAMLC) $(ZDEBUG) $(ZFLAGS) $(PP) $<

%.cmx: %.ml
	$(CAMLOPTC) $(ZDEBUG) $(ZFLAGS) $(PP) $<

%.cmxs: %.ml
	$(CAMLOPTLINK) $(ZDEBUG) $(ZFLAGS) -shared -o $@ $(PP) $<

%.cmo: %.ml4
	$(CAMLC) $(ZDEBUG) $(ZFLAGS) $(PP) -impl $<

%.cmx: %.ml4
	$(CAMLOPTC) $(ZDEBUG) $(ZFLAGS) $(PP) -impl $<

%.cmxs: %.ml4
	$(CAMLOPTLINK) $(ZDEBUG) $(ZFLAGS) -shared -o $@ $(PP) -impl $<

%.ml.d: %.ml
	$(CAMLBIN)ocamldep -slash $(OCAMLLIBS) $(PP) "$<" > "$@"

%.vo %.glob: %.v
	$(COQC) $(COQDEBUG) $(COQFLAGS) $*

%.vi: %.v
	$(COQC) -i $(COQDEBUG) $(COQFLAGS) $*

%.g: %.v
	$(GALLINA) $<

%.tex: %.v
	$(COQDOC) -latex $< -o $@

%.html: %.v %.glob
	$(COQDOC) -html $< -o $@

%.g.tex: %.v
	$(COQDOC) -latex -g $< -o $@

%.g.html: %.v %.glob
	$(COQDOC) -html -g $< -o $@

%.v.d: %.v
	$(COQDEP) -slash $(COQLIBS) "$<" > "$@" || ( RV=$$?; rm -f "$@"; exit $${RV} )

byte:
	$(MAKE) all "OPT:=-byte"

opt:
	$(MAKE) all "OPT:=-opt"

install:
	mkdir -p $(COQLIB)/user-contrib
	(for i in $(VOFILES); do \
	 install -d `dirname $(COQLIB)/user-contrib/AAC_tactics/$$i`; \
	 install $$i $(COQLIB)/user-contrib/AAC_tactics/$$i; \
	 done)
	(for i in $(CMOFILES); do \
	 install -d `dirname $(COQLIB)/user-contrib/AAC_tactics/$$i`; \
	 install $$i $(COQLIB)/user-contrib/AAC_tactics/$$i; \
	 done)
	(for i in $(CMIFILES); do \
	 install -d `dirname $(COQLIB)/user-contrib/AAC_tactics/$$i`; \
	 install $$i $(COQLIB)/user-contrib/AAC_tactics/$$i; \
	 done)
	(for i in $(CMXSFILES); do \
	 install -d `dirname $(COQLIB)/user-contrib/AAC_tactics/$$i`; \
	 install $$i $(COQLIB)/user-contrib/AAC_tactics/$$i; \
	 done)

clean:
	rm -f $(CMOFILES) $(CMIFILES) $(CMXFILES) $(CMXSFILES) $(OFILES) $(VOFILES) $(VIFILES) $(GFILES) $(MLFILES:.ml=.cmo) $(MLFILES:.ml=.cmx) *~
	rm -f all.ps all-gal.ps all.pdf all-gal.pdf all.glob $(VFILES:.v=.glob) $(HTMLFILES) $(GHTMLFILES) $(VFILES:.v=.tex) $(VFILES:.v=.g.tex) $(VFILES:.v=.v.d)
	rm -f $(CMOFILES) $(MLFILES:.ml=.cmi) $(MLFILES:.ml=.ml.d) $(MLFILES:.ml=.cmx) $(MLFILES:.ml=.o)
	- rm -rf html
	- rm -rf doc
	- rm -f aac_tactics.cmxs
	- rm -f aac_tactics.cmxa
	- rm -f aac_tactics.cma
	- rm -f .depend

archclean:
	rm -f *.cmx *.o


printenv: 
	@echo CAMLC =	$(CAMLC)
	@echo CAMLOPTC =	$(CAMLOPTC)
	@echo CAMLP4LIB =	$(CAMLP4LIB)

.dummy: magic.txt
	mv -f Makefile Makefile.bak
	$(COQBIN)coq_makefile -f magic.txt -o Makefile


-include $(VFILES:.v=.v.d)
.SECONDARY: $(VFILES:.v=.v.d)

-include $(MLFILES:.ml=.ml.d)
.SECONDARY: $(MLFILES:.ml=.ml.d)

# WARNING
#
# This Makefile has been automagically generated
# Edit at your own risks !
#
# END OF WARNING



# override inadequate coq_makefile auto-regeneration
Makefile: make_makefile magic.txt files.txt
	./make_makefile

# We want to keep the proofs in Caveats and the Tutorial
world: $(VOFILES) doc
	- mkdir -p html
	$(COQDOC) -toc -utf8 -html -g $(COQDOCLIBS) -d html $(VFILES)
	$(COQDOC) --no-index --no-externals -s -utf8 -html $(COQDOCLIBS) -d html Tutorial.v
	$(COQDOC) --no-index --no-externals -s -utf8 -html $(COQDOCLIBS) -d html Caveats.v

# additional dependencies for AAC (since aac_tactics.cmxs/cma are not
# around the first time we run make, coqdep issues a warning and
# ignores this dependency)
# (one can safely select one of theses dependencies according to 
#  coq' compilation mode--bytecode or native)
AAC.vo: aac_tactics.cmxa aac_tactics.cmxs aac_tactics.cma

# .depend contains dependencies for .mli files
-include .depend
.SECONDARY: .depend

=== debian/changelog ===
aac-tactics (0.2.pl2-4) unstable; urgency=low

  * Rebuild with Coq 8.3pl3 (no source changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Dec 2011 16:54:20 +0100

aac-tactics (0.2.pl2-3) unstable; urgency=low

  * Recompile with OCaml 3.12.1 (no changes)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 06:41:57 +0100

aac-tactics (0.2.pl2-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 May 2011 19:22:52 +0200

aac-tactics (0.2.pl2-1) experimental; urgency=low

  * New upstream release
    - remove patch (applied upstream)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Feb 2011 07:46:14 +0100

aac-tactics (0.1-r13244-1) experimental; urgency=low

  * Initial release (Closes: #605487)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2010 16:24:53 +0100

=== debian/control ===
Source: aac-tactics
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9~),
 ocaml-nox (>= 3.11.1-3~),
 coq (>= 8.3),
 libcoq-ocaml-dev
Standards-Version: 3.9.2
Homepage: http://sardes.inrialpes.fr/~braibant/aac_tactics/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/aac-tactics.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/aac-tactics.git

Package: libaac-tactics-ocaml
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libaac-tactics-coq
Enhances: coq
Provides: ${ocaml:Provides}
Description: Coq tactics for reasoning modulo AC (plugin)
 This Coq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the plugin itself.

Package: libaac-tactics-ocaml-dev
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Coq tactics for reasoning modulo AC (devt files)
 This Coq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the static native-code library, needed to build
 custom toplevels, and the compiled interfaces.

Package: libaac-tactics-coq
Architecture: all
Depends:
 libaac-tactics-ocaml (>= ${source:Version}),
 coq-${F:CoqABI},
 ${misc:Depends}
Provides: aac-tactics
Description: Coq tactics for reasoning modulo AC (theories)
 This Coq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the Coq support library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/coq/coqvars.mk

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./make_makefile

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) world

.PHONY: override_dh_auto_install
override_dh_auto_install:
# install rule as generated by coq_makefile is buggy

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -Rf .depend *.glob *.d *.*o *.*a *.cm* doc html

## aac-tactics 0.3.pl1

=== Makefile ===


FILES :=  coq.mli helper.mli search_monad.mli matcher.mli theory.mli print.mli rewrite.mli \
	coq.ml helper.ml search_monad.ml matcher.ml theory.ml print.ml rewrite.ml4 \
	aac.mlpack \
	AAC.v  Instances.v Tutorial.v Caveats.v 

ARGS := -R . AAC_tactics

.PHONY: coq clean

world: all doc

all: Makefile.coq
	$(MAKE) -f Makefile.coq all

coq: Makefile.coq
	$(MAKE) -f Makefile.coq

doc: Makefile.coq
	$(MAKE) -f Makefile.coq html

Makefile.coq: Makefile $(VS)
	coq_makefile $(ARGS) $(FILES) -o Makefile.coq

clean:: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	rm -f Makefile.coq .depend

=== debian/changelog ===
aac-tactics (0.3.pl1-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 13:26:38 +0200

aac-tactics (0.3-2) experimental; urgency=low

  * Fix FTBFS without natdynlink
  * This version requires the bugfix introduced in coq 8.4dfsg-2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Sep 2012 16:08:20 +0200

aac-tactics (0.3-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Sep 2012 19:19:27 +0200

aac-tactics (0.2.pl2-7) unstable; urgency=low

  * Recompile with camlp5 6.06 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jun 2012 10:31:21 +0200

aac-tactics (0.2.pl2-6) unstable; urgency=medium

  * Recompile with camlp5 6.05 and coq 8.3pl4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Apr 2012 17:19:08 +0200

aac-tactics (0.2.pl2-5) unstable; urgency=low

  * Recompile with camlp5 6.04 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Mar 2012 21:51:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper (>= 8),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
- coq (>= 8.3),
+ coq (>= 8.4dfsg-2~),
  libcoq-ocaml-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://sardes.inrialpes.fr/~braibant/aac_tactics/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/aac-tactics.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/aac-tactics.git

## aac-tactics 0.4

=== Makefile ===


FILES := coq.mli helper.mli search_monad.mli matcher.mli theory.mli print.mli  \
	evm_compute.mli evm_compute.ml  \
	 coq.ml helper.ml search_monad.ml matcher.ml theory.ml print.ml rewrite.ml4 \
	aac.mlpack \
	AAC.v  Instances.v Tutorial.v Caveats.v 

ARGS := -R . AAC_tactics

.PHONY: coq clean doc

world: all doc

all: Makefile.coq
	$(MAKE) -f Makefile.coq all

install: Makefile.coq
	$(MAKE) -f Makefile.coq install

coq: Makefile.coq
	$(MAKE) -f Makefile.coq

doc: Makefile.coq
	$(MAKE) -f Makefile.coq html
	$(MAKE) -f Makefile.coq mlihtml

Makefile.coq: Makefile $(VS)
	coq_makefile $(ARGS) $(FILES) -o Makefile.coq

clean:: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	rm -f Makefile.coq .depend

=== debian/changelog ===
aac-tactics (0.4-2) unstable; urgency=medium

  * Recompile with coq 8.4pl3
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2014 08:22:59 +0100

aac-tactics (0.4-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Dec 2013 07:56:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ocaml-nox (>= 3.11.1-3~),
  coq (>= 8.4dfsg-2~),
  libcoq-ocaml-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://sardes.inrialpes.fr/~braibant/aac_tactics/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/aac-tactics.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/aac-tactics.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/aac-tactics.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/aac-tactics.git
 
 Package: libaac-tactics-ocaml
 Section: ocaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/coq/coqvars.mk
include /usr/share/ocaml/ocamlvars.mk

ifeq ($(OCAML_NATDYNLINK),yes)
  TARGET := opt
else
  TARGET := byte
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) Makefile.coq
	$(MAKE) -f Makefile.coq $(TARGET) html

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) -f Makefile.coq install DSTROOT=$(CURDIR)/debian/tmp

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

=== debian/watch ===
version=3
opts="uversionmangle=s/-pl/.pl/" \
http://sardes.inrialpes.fr/~braibant/aac_tactics/ aac_tactics.(.*)\.tgz

## aac-tactics 8.5.1

=== Makefile ===
all: Makefile.coq
	+make -f Makefile.coq all

clean: Makefile.coq
	+make -f Makefile.coq clean
	rm -f Makefile.coq

Makefile.coq: Make
	$(COQBIN)coq_makefile -f Make -o Makefile.coq

%: Makefile.coq
	+make -f Makefile.coq $@

.PHONY: all clean

## aac-tactics 8.6.1

=== debian/changelog ===
aac-tactics (8.6.1-2) unstable; urgency=medium

  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 10:33:39 +0200

aac-tactics (8.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove patch 001-fix-typos, applied upstream

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 27 Dec 2016 16:06:51 +0000

aac-tactics (8.5.1-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 8.5.1 (Closes: #813459)
  * Use HTTPS for Vcs-* links
  * New upstream URL & watch file
  * Install .v files
  * Fix installed docs
  * Fix typos
  * Bump Standards-Version to 3.9.8.
    No change required

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 23 Jul 2016 16:44:48 -0400

aac-tactics (0.4-5) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 11:44:20 +0200

aac-tactics (0.4-4) unstable; urgency=medium

  * Fix Homepage URL
  * Drop debian/watch
  * Bump Standards-Version to 3.9.6
  * Bump debhelper compat level to 9

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Aug 2015 21:16:02 +0200

aac-tactics (0.4-3) unstable; urgency=medium

  * Recompile with coq 8.4pl4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 30 Jul 2014 11:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
  coq (>= 8.4dfsg-2~),
  libcoq-ocaml-dev
-Standards-Version: 3.9.5
-Homepage: http://sardes.inrialpes.fr/~braibant/aac_tactics/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/aac-tactics.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/aac-tactics.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/coq-contribs/aac-tactics
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/aac-tactics.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/aac-tactics.git
 
 Package: libaac-tactics-ocaml
 Section: ocaml

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 .PHONY: override_dh_install
 override_dh_install:
+	find debian/tmp -type f -name '*.glob' -delete
 	dh_install --fail-missing
 
 .PHONY: override_dh_gencontrol

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/aac-tactics-$1\.tar\.gz/ \
  https://github.com/coq-contribs/aac-tactics/releases .*/v(\d+\.\d.\d)\.tar\.gz

## aac-tactics 8.8.0+1.gbp069dc3b

=== debian/changelog ===
aac-tactics (8.8.0+1.gbp069dc3b-1) unstable; urgency=medium

  ** SNAPSHOT build @069dc3bd125ca18f5712759d54edcf9addb4cdd4 **

  * Team upload
  * New upstream release
  * Build an unreleased snapshot to support Coq 8.9 (Closes: 919463)

 -- Benjamin Barenblat <bbaren@debian.org>  Sun, 17 Feb 2019 20:29:23 -0500

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-ocaml (>= 0.9~),
- ocaml-nox (>= 3.11.1-3~),
- coq (>= 8.4dfsg-2~),
+ ocaml-nox (>= 4.02.3),
+ coq (>= 8.9.0),
  libcoq-ocaml-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://github.com/coq-contribs/aac-tactics
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/aac-tactics.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/aac-tactics.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/aac-tactics
+Vcs-Git: https://salsa.debian.org/ocaml-team/aac-tactics.git
 
 Package: libaac-tactics-ocaml
 Section: ocaml

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,22 @@
 include /usr/share/coq/coqvars.mk
 include /usr/share/ocaml/ocamlvars.mk
 
+# Show full commands when building.
+export VERBOSE := 1
+
+TARGET := byte
 ifeq ($(OCAML_NATDYNLINK),yes)
-  TARGET := opt
+  TARGET += opt
 else
-  TARGET := byte
+  export OPT := -byte
 endif
 
 %:
 	dh $@ --with ocaml
+
+.PHONY: override_dh_auto_clean
+override_dh_auto_clean:
+	$(MAKE) clean
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
@@ -20,7 +28,7 @@
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
-	$(MAKE) -f Makefile.coq install DSTROOT=$(CURDIR)/debian/tmp
+	$(MAKE) -f Makefile.coq install install-byte DSTROOT=$(CURDIR)/debian/tmp
 
 .PHONY: override_dh_install
 override_dh_install:

## aac-tactics 8.9.0

=== debian/changelog ===
aac-tactics (8.9.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 Feb 2020 15:16:42 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/coq/coqvars.mk
include /usr/share/ocaml/ocamlvars.mk

# Show full commands when building.
export VERBOSE := 1

TARGET := byte
ifeq ($(OCAML_NATDYNLINK),yes)
  TARGET += opt
else
  export OPT := -byte
endif

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_build:
	$(MAKE) Makefile.coq
	$(MAKE) -f Makefile.coq $(TARGET) html

override_dh_auto_install:
	$(MAKE) -f Makefile.coq install install-byte DSTROOT=$(CURDIR)/debian/tmp

override_dh_missing:
	dh_missing --fail-missing

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

## aac-tactics 8.11.0

=== Makefile ===
all: Makefile.coq
	+$(MAKE) -f Makefile.coq all

clean: Makefile.coq
	+$(MAKE) -f Makefile.coq cleanall
	rm -f Makefile.coq Makefile.coq.conf

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

_CoqProject Makefile: ;

%: Makefile.coq
	+$(MAKE) -f Makefile.coq $@

.PHONY: all clean

=== debian/changelog ===
aac-tactics (8.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version, compiles with coq 8.11.0 (closes: #953739)
  * debian/rules: on dynlink architectures, build opt before byte
  * debian/*.ocamldoc: add -I /usr/lib/coq/tactics

 -- Ralf Treinen <treinen@debian.org>  Tue, 17 Mar 2020 16:42:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10),
- dh-ocaml (>= 0.9~),
- ocaml-nox (>= 4.02.3),
+ debhelper-compat (= 12),
+ ocaml-nox,
  coq (>= 8.9.0),
- libcoq-ocaml-dev
-Standards-Version: 4.3.0
-Homepage: https://github.com/coq-contribs/aac-tactics
+ libcoq-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/coq-community/aac-tactics
 Vcs-Browser: https://salsa.debian.org/ocaml-team/aac-tactics
 Vcs-Git: https://salsa.debian.org/ocaml-team/aac-tactics.git

=== debian/watch ===
version=3
https://github.com/coq-community/aac-tactics/releases .*/archive/v(.*)\.tar\.gz

## aac-tactics 8.15.0

=== debian/changelog ===
aac-tactics (8.15.0-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * New upstream release.
  * Adapt to new coq library layout (closes: #970454).
  * Bump dh-compat to level 13.
  * Bump standards-version to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 13:55:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
- coq (>= 8.9.0),
- libcoq-ocaml-dev,
+ coq (>= 8.15.0),
+ libcoq-core-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/coq-community/aac-tactics
 Vcs-Browser: https://salsa.debian.org/ocaml-team/aac-tactics

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,11 @@
 # Show full commands when building.
 export VERBOSE := 1
 
-TARGET := byte
 ifeq ($(OCAML_NATDYNLINK),yes)
-  TARGET += opt
+   TARGET := opt byte
 else
-  export OPT := -byte
+   export OPT := -byte
+   TARGET := byte
 endif
 
 %:

## aac-tactics 8.15.1

=== debian/changelog ===
aac-tactics (8.15.1-6) unstable; urgency=medium

  * Install the documentation in the right directory.
  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Jun 2022 22:34:44 +0200

aac-tactics (8.15.1-5) unstable; urgency=medium

  * Bump standards-version to 4.6.1.
  * Add myself to uploaders.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jun 2022 15:01:51 +0200

aac-tactics (8.15.1-4) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:23:17 +0200

aac-tactics (8.15.1-3) unstable; urgency=medium

  * Change the libcoq package to Architecture: any.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Apr 2022 13:55:57 +0200

aac-tactics (8.15.1-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Apr 2022 09:07:48 +0200

aac-tactics (8.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename the libaac-tactics-coq binary package
  to libcoq-aac-tactics to follow the rest of the
  ecosystem in Debian.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 03 Apr 2022 21:57:56 +0200

=== debian/control ===
Source: aac-tactics
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>,
           Julien Puydt <jpuydt@debian.org>
Build-Depends: coq (>= 8.15.0),
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib,
               ocaml-nox
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/coq-community/aac-tactics
Vcs-Browser: https://salsa.debian.org/ocaml-team/aac-tactics
Vcs-Git: https://salsa.debian.org/ocaml-team/aac-tactics.git

Package: libaac-tactics-ocaml
Section: ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: libcoq-aac-tactics
Enhances: coq
Provides: ${ocaml:Provides}
Description: Coq tactics for reasoning modulo AC (plugin)
 This Coq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the plugin itself.

Package: libaac-tactics-ocaml-dev
Section: ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Coq tactics for reasoning modulo AC (devt files)
 This Coq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the static native-code library, needed to build
 custom toplevels, and the compiled interfaces.

Package: libcoq-aac-tactics
Architecture: any
Breaks: libaac-tactics-coq
Replaces: libaac-tactics-coq
Depends: libaac-tactics-ocaml (>= ${source:Version}),
         ${coq:Depends},
         ${misc:Depends}
Provides: aac-tactics, ${coq:Provides}
Description: Coq tactics for reasoning modulo AC (theories)
 This Coq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the Coq support library.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-include /usr/share/coq/coqvars.mk
 include /usr/share/ocaml/ocamlvars.mk
 
 # Show full commands when building.
@@ -15,7 +14,7 @@
 endif
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
 	$(MAKE) clean
@@ -29,6 +28,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_gencontrol:
-	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

## aac-tactics 8.16.0

=== debian/changelog ===
aac-tactics (8.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 16:35:51 +0200

=== debian/control ===
Source: aac-tactics
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>,
           Julien Puydt <jpuydt@debian.org>
Build-Depends: coq (>= 8.16),
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib,
               ocaml-nox
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/coq-community/aac-tactics
Vcs-Browser: https://salsa.debian.org/ocaml-team/aac-tactics
Vcs-Git: https://salsa.debian.org/ocaml-team/aac-tactics.git

Package: libcoq-aac-tactics
Architecture: any
Breaks: libaac-tactics-coq
Replaces: libaac-tactics-coq, libaac-tactics-ocaml, libaac-tactics-ocaml-dev
Depends: ${coq:Depends}, ${ocaml:Depends}, ${misc:Depends}
Provides: aac-tactics, ${coq:Provides}
Description: Coq tactics for reasoning modulo AC (theories)
 This Coq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the Coq support library.

## aac-tactics 8.17.0

=== debian/changelog ===
aac-tactics (8.17.0-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:06:05 +0200

aac-tactics (8.17.0-2) unstable; urgency=medium

  * Add lintian overrides for false issues.
  * Bump Coq version depend.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:27:20 +0200

aac-tactics (8.17.0-1) unstable; urgency=medium

  * Fix links in the doc base system.
  * Bump standards-version to 4.6.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Jan 2023 14:33:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>
-Build-Depends: coq (>= 8.16),
+Build-Depends: coq (>= 8.17),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
                libcoq-core-ocaml-dev,
                libcoq-stdlib,
                ocaml-nox
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/coq-community/aac-tactics
 Vcs-Browser: https://salsa.debian.org/ocaml-team/aac-tactics

## aac-tactics 8.18.0

=== debian/changelog ===
aac-tactics (8.18.0-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:13:19 +0200

aac-tactics (8.18.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:35:16 +0000

aac-tactics (8.18.0-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:12:10 +0000

aac-tactics (8.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 15:20:11 +0100

aac-tactics (8.17.0-3) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aac-tactics
 Section: math
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>
 Build-Depends: coq (>= 8.17),
@@ -10,7 +11,7 @@
                dh-ocaml,
                libcoq-core-ocaml-dev,
                libcoq-stdlib,
-               ocaml-nox
+               ocaml
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/coq-community/aac-tactics

## aac-tactics 8.19.1

=== debian/changelog ===
aac-tactics (8.19.1-2build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 16:34:57 +0200

aac-tactics (8.19.1-2build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:17 +0200

aac-tactics (8.19.1-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:51:11 +0200

aac-tactics (8.19.1-2) unstable; urgency=medium

  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 17:29:07 +0200

aac-tactics (8.19.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Jun 2024 07:05:57 +0200

aac-tactics (8.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:51:21 +0100

## aac-tactics 8.20.0

=== Makefile ===
all: Makefile.coq
	@+$(MAKE) -f Makefile.coq all

clean: Makefile.coq
	@+$(MAKE) -f Makefile.coq cleanall
	@rm -f Makefile.coq Makefile.coq.conf

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

force _CoqProject Makefile: ;

tests:
	$(MAKE) -C tests

%: Makefile.coq force
	@+$(MAKE) -f Makefile.coq $@

.PHONY: all clean force tests

=== tests/Makefile ===
all: Makefile.coq
	@+$(MAKE) -f Makefile.coq all

clean: Makefile.coq
	@+$(MAKE) -f Makefile.coq cleanall
	@rm -f Makefile.coq Makefile.coq.conf

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

force _CoqProject Makefile: ;

%: Makefile.coq force
	@+$(MAKE) -f Makefile.coq $@

.PHONY: all clean force tests

=== debian/changelog ===
aac-tactics (8.20.0-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:33:36 +0200

aac-tactics (8.20.0-1build3) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 21:04:05 +0100

aac-tactics (8.20.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:40:53 +0100

aac-tactics (8.20.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:40:12 +0100

aac-tactics (8.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:41:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean
+	rm src/META.coq-aac-tactics
 
 override_dh_auto_build:
 	$(MAKE) Makefile.coq

## aac-tactics 9.0.0

=== Makefile ===
KNOWNTARGETS := RocqMakefile tests
KNOWNFILES   := Makefile _RocqProject

.DEFAULT_GOAL := invoke-rocqmakefile

RocqMakefile: Makefile _RocqProject
	$(ROCQBIN)rocq makefile -f _RocqProject -docroot . -o RocqMakefile

invoke-rocqmakefile: RocqMakefile
	$(MAKE) --no-print-directory -f RocqMakefile $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

.PHONY: invoke-rocqmakefile $(KNOWNFILES)

cleanall:: clean
	rm -f RocqMakefile* *.d *.log */*.glob */.*.aux */*.vo*

tests::
	$(MAKE) -C tests

# This should be the last rule, to handle any targets not declared above
%: invoke-rocqmakefile
	@true

=== tests/Makefile ===
KNOWNTARGETS := RocqMakefile
KNOWNFILES   := Makefile _RocqProject

.DEFAULT_GOAL := invoke-rocqmakefile

RocqMakefile: Makefile _RocqProject
	$(ROCQBIN)rocq makefile -f _RocqProject -docroot . -o RocqMakefile

invoke-rocqmakefile: RocqMakefile
	$(MAKE) --no-print-directory -f RocqMakefile $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

.PHONY: invoke-rocqmakefile $(KNOWNFILES)

cleanall:: clean
	rm -f RocqMakefile* *.d *.log */*.glob */.*.aux */*.vo*

# This should be the last rule, to handle any targets not declared above
%: invoke-rocqmakefile
	@true

=== debian/changelog ===
aac-tactics (9.0.0-2) experimental; urgency=medium

  * Strenghten depend on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:18:41 +0100

aac-tactics (9.0.0-1) experimental; urgency=medium

  * Sequence install targets (Closes: #1105230).
  * Adapt to the Coq->Rocq transition.
  * Update lintian overrides.
  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 07:57:49 +0100

=== debian/control ===
Source: aac-tactics
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>,
           Julien Puydt <jpuydt@debian.org>
Build-Depends: coq (>= 9),
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib,
               ocaml
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/coq-community/aac-tactics
Vcs-Browser: https://salsa.debian.org/ocaml-team/aac-tactics
Vcs-Git: https://salsa.debian.org/ocaml-team/aac-tactics.git

Package: libcoq-aac-tactics
Architecture: any
Breaks: libaac-tactics-coq
Replaces: libaac-tactics-coq, libaac-tactics-ocaml, libaac-tactics-ocaml-dev
Depends: ${coq:Depends}, ${ocaml:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Rocq tactics for reasoning modulo AC (theories)
 This Rocq plugin provides tactics for rewriting universally quantified
 equations, modulo associative (and possibly commutative) operators.
 .
 This package provides the Rocq support library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

# Show full commands when building.
export VERBOSE := 1

export DEB_BUILD_OPTIONS += noautodbgsym

ifeq ($(OCAML_NATDYNLINK),yes)
   TARGET := opt byte
else
   export OPT := -byte
   TARGET := byte
endif

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	$(MAKE) clean
	rm -f RocqMakefile RocqMakefile.conf src/META.rocq-aac-tactics

override_dh_auto_build:
	$(MAKE) RocqMakefile
	$(MAKE) -f RocqMakefile $(TARGET) html

override_dh_auto_install:
	$(MAKE) -f RocqMakefile install install-byte DSTROOT=$(CURDIR)/debian/tmp
	$(MAKE) -f RocqMakefile install-byte DSTROOT=$(CURDIR)/debian/tmp

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://github.com/coq-community/aac-tactics/tags .*/v(.*)\.tar\.gz
